Skip to main content
GET
/
v1
/
quotes
/
templates
/
{id}
Get quote template
curl --request GET \
  --url https://api.hyperline.co/v1/quotes/templates/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hyperline.co/v1/quotes/templates/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hyperline.co/v1/quotes/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "quot_9hNWq4c84Z146W",
  "name": "Enterprise template",
  "description": "Reusable template for enterprise quotes.",
  "comments": "Please find the contract and subscription details we discussed.",
  "terms": "By signing this quote, you accept our conditions of use for the use of our products and services.",
  "expiration_days": 30,
  "collect_payment_details": true,
  "collect_shipping_details": false,
  "collect_custom_property_ids": [],
  "require_tax_id": false,
  "require_billing_details": false,
  "display_taxes": true,
  "display_price_tiers": "matching",
  "display_phase_value": false,
  "display_quote_value": true,
  "display_first_invoice_amount": false,
  "display_documents_in_preview": false,
  "display_subscription_on_update": false,
  "display_organisation_details": true,
  "generate_draft_invoices": false,
  "subscription_template_id": "subt_7gdusOkqr5L0B8",
  "contract_template_ids": [
    "ctpl_QalW2vTAdkR6IY"
  ],
  "contract_clause_ids": [
    "ccl_QalW2vTAdkR6IY"
  ],
  "attachments": [
    {
      "id": "quota_5GYXy8P3QCdaXh",
      "name": "General Conditions of Sale",
      "mimetype": "application/pdf"
    }
  ],
  "created_at": "2024-04-23T09:10:00.220Z",
  "updated_at": "2024-04-23T10:22:08.100Z"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

id
string
required

Quote template ID.

Example:

"quot_9hNWq4c84Z146W"

name
string
required

Quote template name.

Example:

"Enterprise template"

description
string | null
required

Quote template description.

Example:

"Reusable template for enterprise quotes."

comments
string | null
required

Default comments displayed on quotes created from the template.

Example:

"Please find the contract and subscription details we discussed."

terms
string | null
required

Default terms displayed on quotes created from the template.

Example:

"By signing this quote, you accept our conditions of use for the use of our products and services."

expiration_days
integer
required

Number of days after creation before quotes created from the template expire.

Example:

30

collect_payment_details
boolean
required

Whether quotes created from the template collect customer payment method details during signature.

Example:

true

collect_shipping_details
boolean
required

Whether quotes created from the template collect customer shipping details during signature.

Example:

false

collect_custom_property_ids
string[]
required

IDs of customer custom properties required during quote signature.

Example:
[]
require_tax_id
boolean
required

Whether quotes created from the template require the customer to provide a tax ID during signature.

Example:

false

require_billing_details
boolean
required

Whether quotes created from the template require customer billing details during signature.

Example:

false

display_taxes
boolean
required

Whether quotes created from the template display taxes.

Example:

true

display_price_tiers
enum<string>
required

Controls which price tiers are displayed on the quote.

  • all: Display all pricing tiers.
  • matching: Only display the tiers used to compute the price based on quantity.
  • none: Hide all pricing tiers.
Available options:
all,
matching,
none
Example:

"matching"

display_phase_value
boolean
required

Whether quotes created from the template display per-phase value breakdown.

Example:

false

display_quote_value
boolean
required

Whether quotes created from the template display total quote value.

Example:

true

display_first_invoice_amount
boolean
required

Whether quotes created from the template display the first invoice amount.

Example:

false

display_documents_in_preview
boolean
required

Whether quotes created from the template display attached documents in the quote preview.

Example:

false

display_subscription_on_update
boolean
required

Whether subscription update quotes created from the template display subscription details.

Example:

false

display_organisation_details
boolean
required

Whether quotes created from the template display organisation details.

Example:

true

generate_draft_invoices
boolean
required

Whether invoices issued after quote signature stay in draft status instead of being emitted for payment.

Example:

false

subscription_template_id
string | null
required

ID of the subscription template used by the quote template.

Example:

"subt_7gdusOkqr5L0B8"

contract_template_ids
string[]
required

IDs of contract templates used by the quote template.

Example:
["ctpl_QalW2vTAdkR6IY"]
contract_clause_ids
string[]
required

IDs of contract clauses used by the quote template.

Example:
["ccl_QalW2vTAdkR6IY"]
attachments
object[]
required

List of documents attached to the quote template.

Example:
[
{
"id": "quota_5GYXy8P3QCdaXh",
"name": "General Conditions of Sale",
"mimetype": "application/pdf"
}
]
created_at
string<date-time>
required

Quote template creation date. UTC date time string in the ISO 8601 format.

Example:

"2024-04-23T09:10:00.220Z"

updated_at
string<date-time>
required

Quote template last edition date. UTC date time string in the ISO 8601 format.

Example:

"2024-04-23T10:22:08.100Z"